JBoss API: Class BaseLocalContainerInvoker

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins.local
Class BaseLocalContainerInvoker

    java.lang.Object
      |
      +--org.jboss.ejb.plugins.local.BaseLocalContainerInvoker

All Implemented Interfaces:
  ContainerPlugin, LocalContainerInvoker, Service

public class BaseLocalContainerInvoker
extends java.lang.Object
implements LocalContainerInvoker

Author:
  Daniel OConnor (docodan@mvcsoft.com), Scott.Stark@jboss.org

Field Summary
`protected java.util.Map` | `beanMethodInvokerMap`
`protected Container` | `container`
`protected javax.ejb.EJBLocalHome` | `home`
`protected java.util.Map` | `homeMethodInvokerMap`
`protected java.lang.String` | `jndiName`
`protected javax.ejb.EJBLocalObject` | `statelessObject`
`protected javax.transaction.TransactionManager` | `transactionManager`

Constructor Summary
`BaseLocalContainerInvoker()`

Method Summary
`void` | `destroy()`
`javax.ejb.EJBLocalHome` | `getEJBLocalHome()` This method is called whenever the EJBLocalHome implementation for this container is needed.
`javax.ejb.EJBLocalObject` | `getEntityEJBLocalObject(java.lang.Object id)` This method is called whenever an EJBLocalObject implementation for an entitybean is needed.
`java.util.Collection` | `getEntityLocalCollection(java.util.Collection ids)` This method is called whenever a collection of EJBLocalObjects for a collection of primary keys is needed.
`java.lang.String` | `getJndiName()`
`javax.ejb.EJBLocalObject` | `getStatefulSessionEJBLocalObject(java.lang.Object id)` This method is called whenever an EJBLocalObject implementation for a stateful session bean is needed.
`javax.ejb.EJBLocalObject` | `getStatelessSessionEJBLocalObject()` This method is called whenever an EJBLocalObject implementation for a stateless session bean is needed.
`void` | `init()`
`java.lang.Object` | `invoke(java.lang.Object id, java.lang.reflect.Method m, java.lang.Object[] args)` Invoke a local interface method.
`java.lang.Object` | `invokeHome(java.lang.reflect.Method m, java.lang.Object[] args)` Invoke a Home interface method.
`void` | `setContainer(Container con)` This callback is set by the container so that the plugin may access it
`void` | `start()`
`void` | `stop()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### container

    protected Container container

### jndiName

    protected java.lang.String jndiName

### transactionManager

    protected javax.transaction.TransactionManager transactionManager

### home

    protected javax.ejb.EJBLocalHome home

### statelessObject

    protected javax.ejb.EJBLocalObject statelessObject

### beanMethodInvokerMap

    protected java.util.Map beanMethodInvokerMap

### homeMethodInvokerMap

    protected java.util.Map homeMethodInvokerMap

Constructor Detail

### BaseLocalContainerInvoker

    public BaseLocalContainerInvoker()

Method Detail

### getJndiName

    public java.lang.String getJndiName()

### setContainer

    public void setContainer(Container con)

  Description copied from interface: `ContainerPlugin`
  This callback is set by the container so that the plugin may access it
  Specified by:
    `setContainer` in interface `ContainerPlugin`
  Following copied from interface: `org.jboss.ejb.ContainerPlugin`
  Parameters:
    `con` - the container using this plugin

### init

    public void init()
              throws java.lang.Exception

  Specified by:
    `init` in interface `Service`

### start

    public void start()
               throws java.lang.Exception

  Specified by:
    `start` in interface `Service`

### stop

    public void stop()

  Specified by:
    `stop` in interface `Service`

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `Service`

### getEJBLocalHome

    public javax.ejb.EJBLocalHome getEJBLocalHome()

  Description copied from interface: `LocalContainerInvoker`
  This method is called whenever the EJBLocalHome implementation for this container is needed.
  Specified by:
    `getEJBLocalHome` in interface `LocalContainerInvoker`
  Following copied from interface: `org.jboss.ejb.LocalContainerInvoker`
  Returns:
    an implementation of the local home interface for this container

### getStatelessSessionEJBLocalObject

    public javax.ejb.EJBLocalObject getStatelessSessionEJBLocalObject()

  Description copied from interface: `LocalContainerInvoker`
  This method is called whenever an EJBLocalObject implementation for a stateless session bean is needed.
  Specified by:
    `getStatelessSessionEJBLocalObject` in interface `LocalContainerInvoker`
  Following copied from interface: `org.jboss.ejb.LocalContainerInvoker`
  Returns:
    an implementation of the local interface for this container

### getStatefulSessionEJBLocalObject

    public javax.ejb.EJBLocalObject getStatefulSessionEJBLocalObject(java.lang.Object id)

  Description copied from interface: `LocalContainerInvoker`
  This method is called whenever an EJBLocalObject implementation for a stateful session bean is needed.
  Specified by:
    `getStatefulSessionEJBLocalObject` in interface `LocalContainerInvoker`
  Following copied from interface: `org.jboss.ejb.LocalContainerInvoker`
  Parameters:
    `id` - the id of the session
  Returns:
    an implementation of the local interface for this container

### getEntityEJBLocalObject

    public javax.ejb.EJBLocalObject getEntityEJBLocalObject(java.lang.Object id)

  Description copied from interface: `LocalContainerInvoker`
  This method is called whenever an EJBLocalObject implementation for an entitybean is needed.
  Specified by:
    `getEntityEJBLocalObject` in interface `LocalContainerInvoker`
  Following copied from interface: `org.jboss.ejb.LocalContainerInvoker`
  Parameters:
    `id` - the primary key of the entity
  Returns:
    an implementation of the local interface for this container

### getEntityLocalCollection

    public java.util.Collection getEntityLocalCollection(java.util.Collection ids)

  Description copied from interface: `LocalContainerInvoker`
  This method is called whenever a collection of EJBLocalObjects for a collection of primary keys is needed.
  Specified by:
    `getEntityLocalCollection` in interface `LocalContainerInvoker`
  Following copied from interface: `org.jboss.ejb.LocalContainerInvoker`
  Parameters:
    `enum` - enumeration of primary keys
  Returns:
    a collection of EJBLocalObjects implementing the remote interface for this container

### invokeHome

    public java.lang.Object invokeHome(java.lang.reflect.Method m,
                                       java.lang.Object[] args)
                                throws java.lang.Exception

  Invoke a Home interface method.

### invoke

    public java.lang.Object invoke(java.lang.Object id,
                                   java.lang.reflect.Method m,
                                   java.lang.Object[] args)
                            throws java.lang.Exception

  Invoke a local interface method.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.